BazelCon 2022 is coming November 16-17 to New York and online.
Register today!

Installing Bazel on openSUSE Tumbleweed & Leap

Stay organized with collections Save and categorize content based on your preferences.

This page describes how to install Bazel on openSUSE Tumbleweed and Leap.

NOTE: The Bazel team does not officially maintain openSUSE support. For issues using Bazel on openSUSE please file a ticket at bugzilla.opensuse.org.

Packages are provided for openSUSE Tumbleweed and Leap. You can find all available Bazel versions via openSUSE's software search.

The commands below must be run either via sudo or while logged in as root.

Installing Bazel on openSUSE

Run the following commands to install the package. If you need a specific version, you can install it via the specific bazelXXX package, otherwise, just bazel is enough:

To install the latest version of Bazel, run:

zypper install bazel

You can also install a specific version of Bazel by specifying the package version with bazelversion. For example, to install Bazel 4.2, run:

zypper install bazel4.2